	PROGRAM LIB

! This software is furnished under a license and may only be used
! or copied in accordance with the terms of such license.

! Copyright (C) 1981 by Digital Equipment Corporation

!	Version 6	LIB.FOR	March 81

C	Test to see if all intrinsic funtions an Fortran supplied
C	subroutines exist.  If they don't the LINK-er will complain.

	DOUBLE PRECISION D,D2(2)
	COMPLEX C,C2(2)
C
	STOP   ! We don't really want to execute.
C
 1000	CALL CHKDIV(I)
	CALL CLRFMT(C2)
	CALL DATE(II)
	CALL DIVERT(I,I)
	CALL DUMP(I,I,I)
	CALL ERRSET(I,I,I)
	CALL ERRSNS(I,I)
	CALL EXIT
	CALL ILL
	CALL LEGAL
	CALL LSNGET(I,I)
	CALL OVERFL
	CALL PDUMP(I,I,I)
	CALL SAVFMT(II,I)
	CALL SAVRAN(I)
	CALL SETRAN(I)
	CALL TIME(I,I)
	CALL TRACE
	CALL SLITET
	CALL SLITE
	CALL SSWTCH

	CALL AXIS  ! Plot routines
	CALL LINE
	CALL MKTBL
	CALL NUMBER
	CALL PLOT
	CALL PLOTS
	CALL SCALE
	CALL SETABL
	CALL SYMBOL
	CALL WHERE
! INTRINSIC FUNCTIONS
	X=ABS(X)
	I=IABS(I)
	D=DABS(D)
	C=CABS(C)
	X=FLOAT(I)
	I=IFIX(X)
	X=SNGL(D)
	X=DBLE(X)
	X=DFLOAT(I)
	X=REAL(C)
	X=AIMAG(C)
	C=CMPLX(X,X)
	X=AINT(X)
	I=INT(X)
	I=IDINT(D)
	X=AMOD(X,X)
	X=MOD(X,X)
	X=DMOD(D,D)
	X=AMAX0(I,I)
	X=AMAX1(X,X)
	X=MAX0(I,I)
	X=DMAX1(D,D)
	I=MAX1(X,X)
	X=AMIN0(I,I)
	X=AMIN1(X,X)
	X=MIN0(I,I)
	X=MIN1(X,X)
	X=DMIN1(D,D)
	X=SIGN(X,X)
	X=ISIGN(I,I)
	X=DSIGN(D,D)
	X=DIM(X,X)
	X=IDIM(I,I)

! Basic external functions

	X=EXP(X)
	X=DEXP(D)
	X=CEXP(C)
	X=CDEXP(C2,C2)
	X=ALOG(X)
	X=ALOG10(X)
	X=DLOG(D)
	X=DLOG10(D)
	X=CLOG(C)
	X=SQRT(X)
	X=DSQRT(D)
	X=CSQRT(C)
	X=SIN(X)
	X=SIND(X)
	X=DSIN(D)
	X=CSIN(C)
	X=COS(X)
	X=COSD(X)
	X=DCOS(D)
	X=CCOS(C)
	X=TAN(X)
	X=COTAN(X)
	X=DTAN(D)
	X=DCOTAN(D)
	X=SINH(X)
	X=DSINH(D)
	X=COSH(X)
	X=DCOSH(D)
	X=TANH(X)
	X=DTANH(D)
	X=ASIN(X)
	X=DASIN(D)
	X=ACOS(X)
	X=DACOS(D)
	X=ATAN(X)
	X=DATAN(D)
	X=ATAN(X)
	X=DATAN(D)
	X=ATAN2(R,R)
	X=DATAN2(D,D)
	X=CONJG(C)
	X=RAN(X)
	X=TIM2GO(0)
	X=CDABS(D2)
	X=CDEXP(C2,C2)
	X=CDLOG(C2,C2)
	X=CDLOG(C2,C2)
	X=CDSQRT(C2,C2)

	END